@model FERZid.Models.Segment

@{
    ViewData["Title"] = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Dodavanje segmenta</h2>

<form asp-action="Create">
    <div class="form-horizontal">
        <hr />
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <div class="form-group">
            <label class="col-md-2 control-label">Lokacija zida</label>
            <div class="col-md-10">
                <select asp-for="Idzida" class ="form-control" asp-items="ViewBag.Idzida"></select>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="KoordinataX" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="KoordinataX" class="form-control" />
                <span asp-validation-for="KoordinataX" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="KoordinataY" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="KoordinataY" class="form-control" />
                <span asp-validation-for="KoordinataY" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Visina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Visina" class="form-control" />
                <span asp-validation-for="Visina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <label asp-for="Sirina" class="col-md-2 control-label"></label>
            <div class="col-md-10">
                <input asp-for="Sirina" class="form-control" />
                <span asp-validation-for="Sirina" class="text-danger"></span>
            </div>
        </div>
        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Stvori" class="btn btn-primary" />
            </div>
        </div>
    </div>
</form>

<div>
    <a asp-action="Index">Natrag na popis</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
